Skip to main content
POST
/
approvals
/
{org}
/
{flow_name}
Create approval
curl --request POST \
  --url https://app.kosli.com/api/v2/approvals/{org}/{flow_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "artifact_fingerprint": "<string>",
  "description": "<string>",
  "src_commit_list": [
    "<string>"
  ],
  "environment": "<string>",
  "oldest_commit": "<string>",
  "approvals": [
    {
      "comment": "<string>",
      "approved_by": "<string>",
      "approval_url": "<string>"
    }
  ],
  "user_data": {}
}
'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://kosli-mintlify-f3f70bb3.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
org
string
required

Body

application/json

Create approval for an artifact.

artifact_fingerprint
string
required

The sha256 fingerprint of the artifact that is approved

Pattern: ^[a-f0-9]{64}$
description
string
required

Description for the approval

src_commit_list
string[]
required
Pattern: ^[a-f0-9]{40}$
environment
string | null

Environment the approval is valid for

oldest_commit
string | null

The oldest commit

Pattern: ^[a-f0-9]{40}$
approvals
Approval · object[] | null

List of approvals

user_data

Response

Successful Response

Create approval for an artifact.

Example:
{
  "approvals": [
    {
      "approval_url": "https://example.com",
      "approved_by": "bob",
      "comment": "I like this",
      "state": "APPROVED"
    }
  ],
  "artifact_fingerprint": "73d75bf7cac2f24845deeb51e05babd2514e91eb4fdd2352fbc2fcf267ff21fb",
  "description": "Approved since it is good",
  "environment": "production",
  "oldest_commit": "7e8a2cc65e4679bb7bea3605f9245f2214aad585",
  "src_commit_list": [
    "602ed54b6dec955d348201fa411faa3f92dc8bc7",
    "af2705a9da720cbf1b166c668d5ed17fa371af0d"
  ]
}
Last modified on May 18, 2026